%define libgtop_ver 2.12.0
%define hal_ver 0.5.2

Name:    libipoddevice
Version: 0.5.3
Release: 8%{?dist}
Summary: Device-specific layer for the Apple iPod

Group:   Development/Libraries
License: LGPLv2
URL:     http://banshee-project.org/Subprojects/Libipoddevice
Source0: http://banshee-project.org/files/%{name}-%{version}.tar.gz
Patch0:  libipoddevice-0.5.3-sg3_utils-1.26.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: dbus-glib-devel
BuildRequires: hal-devel >= %{hal_ver}
BuildRequires: libxml2-devel
BuildRequires: libgtop2-devel >= %{libgtop_ver}
BuildRequires: udev
BuildRequires: sg3_utils-devel

%description
libipoddevice is a device-specific layer for the Apple iPod
(http://www.apple.com/ipod). libipoddevice provides iPod-specific
HAL event notification to applications, and along with objects
representing an iPod, which gives the application access to
properties and features of an iPod.

%package devel
Summary: Libraries and headers for using libipoddevice
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: hal-devel >= %{hal_ver}
Requires: libgtop2-devel >= %{libgtop_ver}
Requires: udev

%description devel
This package contains various headers for using libipoddevice

%prep
%setup -q
%patch0 -p1

%build
%configure
make 

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/ipod
%{_libdir}/libipoddevice.so.*
%{_libdir}/hal/hal-ipod-info
%{_datadir}/hal/fdi/policy/20thirdparty/20-ipod-info.fdi

%files devel
%{_libdir}/libipoddevice.so
%{_libdir}/pkgconfig/ipoddevice.pc
%dir %{_includedir}/ipoddevice
%{_includedir}/ipoddevice/ipod-device.h
%{_includedir}/ipoddevice/ipod-device-event-listener.h
%exclude %{_libdir}/libipoddevice.a
%exclude %{_libdir}/libipoddevice.la


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 28 2009 Dan Horak <dan[at]danny.cz> - 0.5.3-7
- rebuild for sg3_utils 1.27

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jun 30 2008 Dan Horak <dan[at]danny.cz> - 0.5.3-5
- add patch for sg3_utils 1.26 and rebuild

* Mon Oct 22 2007 Matthias Clasen  <mclasen@redhat.com> - 0.5.3-4
- Rebuild against new dbus-glib

* Fri Aug 24 2007 Adam Jackson <ajax@redhat.com> - 0.5.3-3
- Rebuild for build ID

* Mon Aug 13 2007 Christopher Aillon <caillon@redhat.com> 0.5.3-2
- Update the license tag

* Tue Apr  3 2007 Christopher Aillon <caillon@redhat.com> 0.5.3-1
- Update to 0.5.3

* Sun Mar 25 2007 Christopher Aillon <caillon@redhat.com> 0.5.2-2
- Own the include directory

* Mon Dec 11 2006 Christopher Aillon <caillon@redhat.com> 0.5.2-1
- Update to 0.5.2

* Thu Nov  2 2006 Christopher Aillon <caillon@redhat.com> 0.5.1-1
- Update to 0.5.1
- BuildRequire: sg3_utils-devel libxml2-devel

* Fri Sep  1 2006 Christopher Aillon <caillon@redhat.com> 0.4.5-3
- Rebuild against newer toolchain

* Mon Aug  7 2006 Nalin Dahyabhai <nalin@redhat.com> 0.4.5-2
- rebuild
- add BuildRequires: on dbus-glib-devel

* Tue May  2 2006 Christopher Aillon <caillon@redhat.com> 0.4.5-1
- Update to 0.4.5

* Tue Feb 21 2006 Christopher Aillon <caillon@redhat.com> 0.4.1-1
- Initial RPM
